std::__add_pointer_helper< _Tp, bool > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherited by std::add_pointer< _Tp >.

## Public Types

typedef _Tp | type

## Detailed Description

template<typename _Tp, bool = __or_<__is_referenceable<_Tp>, is_void<_Tp>>::value>
struct std::__add_pointer_helper< _Tp, bool >

add_pointer

Definition at line 1882 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp , bool = __or_<__is_referenceable<_Tp>, is_void<_Tp>>::value>

typedef _Tp std::__add_pointer_helper< _Tp, bool >::type

Definition at line 1883 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits